### Signal

# Soup CookieJar::changed

#### Declaration

    void
    changed (
      SoupCookieJar* self,
      SoupCookie* old_cookie,
      SoupCookie* new_cookie,
      gpointer user_data
    )

#### Description [src]

Emitted when `jar` changes.

If a cookie has been added, `new_cookie` will contain the newly-added cookie and `old_cookie` will be `NULL`. If a cookie has been deleted, `old_cookie` will contain the to-be-deleted cookie and `new_cookie` will be `NULL`. If a cookie has been changed, `old_cookie` will contain its old value, and `new_cookie` its new value.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`old_cookie`

  Type: `SoupCookie`

  The old `SoupCookie` value.

  The data is owned by the caller of the function.

`new_cookie`

  Type: `SoupCookie`

  The new `SoupCookie` value.

  The data is owned by the caller of the function.